#!/bin/sh
#
# Siina's bootleg boop.icu uploader
#
# Requires:
# - xsel: for clipboard manipulation
# - curl: for uploading
remote="https://boop.icu"
sound="$HOME/Projects/local-bin/sounds/success.ogg"

# Make sure necessary applications are installed
if [[ ! -n "$(which xsel)" ]]; then echo "Please install xsel"; exit; fi
if [[ ! -n "$(which curl)" ]]; then echo "Please install curl"; exit; fi

url=$(curl -F"file=@$1" $remote)
echo "$url" | tr -d '\n' | xsel -ib -l /tmp/xsel.log

if [[ -n "$(which ffplay)" ]]; then
	ffplay $sound -nodisp -autoexit -loglevel error
fi
